Subject: RE: [Isis-wg] IS-IS MIB

From: Jeff Parker <[email-masked]>
Date: Thu, 23 May 2002 16:16:31 -0400

> >	In your work on the OSPF mib, did you find 
> >access to the LSAs to be useful?  Those are
> >big uninterpreted octet strings, much longer 
> >than the usual 255 bytes.
> 
> The OSPF LSDB table structure has been around a long time.
> The tables break out the header information
> into separate objects and define a single object
> for the entire LSA (header and contents). If the
> LSA gets 'too big', an SNMP agent may not be able to
> satisfy a get/getnext request for the LSA object.
>  
> It's probably reasonable to at least define L1 and L2
> LSP Header tables. A more complex implementation could
> break out LSPs' TLVs into separate per LSP TLV tables
> to enable the entire LSP to be retrieved in pieces.
> 
> -Dan

Dan -
	Can we rewind that, please?  I think you are
reminding me of why this was a problem in the first
place.  
	An agent may not be able to satisfy a get request
for the LSA object?  Is this due to a small SNMP buffer 
size and the lack of a defined way to fragment payload?  
 
	If an IS has two non-pnode LSPs, one of them
is bound to be over 1K.  If this is too big, we have 
a problem.  We could split this into globs in the mib, 
but there is no natural way to do this, other than 
"first glob, second glob" etc.   
	I am uncomfortable with splitting this into tables
based on the type, as I suspect this will mask issues
that we might see.  I admit that the order shouldn't 
matter, as long as we know which fragment a TLV sat in.  

- jeff parker
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://spider.juniper.net/mailman/listinfo/isis-wg